Last Comment Bug 560230 - Add .nz to IDN whitelist
: Add .nz to IDN whitelist
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 08:40 PDT by Gervase Markham [:gerv]
Modified: 2010-06-18 12:01 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.11-fixed


Attachments
.nz draft domain name policy, including IDNs (section 4.2) (182.15 KB, application/pdf)
2010-04-19 08:41 PDT, Gervase Markham [:gerv]
no flags Details
Patch v.1 (914 bytes, patch)
2010-04-19 08:46 PDT, Gervase Markham [:gerv]
dveditz: approval1.9.2.4+
mbeltzner: approval1.9.1.11+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-04-19 08:40:31 PDT
The .nz registry has applied for addition. They launch in July, and have a draft policy they have sent me for checking. (It only has five additional characters - barred versions of the 5 Latin vowels).

Gerv
Comment 1 Gervase Markham [:gerv] 2010-04-19 08:41:18 PDT
Created attachment 439933 [details]
.nz draft domain name policy, including IDNs (section 4.2)
Comment 2 Gervase Markham [:gerv] 2010-04-19 08:43:48 PDT
Paul McKitrick writes:

"The current version of this policy (http://dnc.org.nz/content/rmc.html | http://www.dnc.org.nz/content/registering_managing_cancelling.pdf) does not include these changes yet, and the updated version will not be live, nor will it come into effect until our IDN launch date of 26 July 2010."

Gerv
Comment 3 Gervase Markham [:gerv] 2010-04-19 08:46:00 PDT
Created attachment 439936 [details] [diff] [review]
Patch v.1
Comment 4 Gervase Markham [:gerv] 2010-04-28 03:32:52 PDT
http://hg.mozilla.org/mozilla-central/rev/a86e9de626d8

Gerv
Comment 5 Mike Beltzner [:beltzner, not reading bugmail] 2010-05-25 12:43:42 PDT
Comment on attachment 439936 [details] [diff] [review]
Patch v.1

a=beltzner for mozilla-1.9.1 default and mozilla-1.9.2 default
Comment 7 christian 2010-06-10 16:25:39 PDT
This was approved for GECKO1924_20100413_RELBRANCH on mozilla-1.9.2 as well, so that we can pick the fix up if we do build #7.

Note You need to log in before you can comment on or make changes to this bug.